Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365379 - Need to have 'NoVolumeZoneConflict' scheduler policy enabled by installer
Summary: Need to have 'NoVolumeZoneConflict' scheduler policy enabled by installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Andrew Butcher
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 06:38 UTC by Jianwei Hou
Modified: 2016-08-18 19:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The installer now enables the NoVolumeZoneConflict scheduler policy by default. This policy restricts that with pods with persistent volumes (PVs) be scheduled in the availability zone where its PV is located.
Clone Of:
Environment:
Last Closed: 2016-08-18 19:30:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1639 normal SHIPPED_LIVE OpenShift Enterprise atomic-openshift-utils bug fix and enhancement update 2016-08-18 23:26:45 UTC

Comment 1 openshift-github-bot 2016-08-09 20:18:26 UTC
Commit pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/4a87e79b695c08392cebc20135a2e38300863d18
Merge pull request #2279 from abutcher/no-volume-zone

Bug 1365379 - Need to have 'NoVolumeZoneConflict' scheduler policy enabled by installer

Comment 3 Gaoyun Pei 2016-08-11 02:20:32 UTC
Verify this bug with openshift-ansible-3.2.20-1.git.0.dd68681.el7.noarch.rpm

After installation, NoVolumeZoneConflict scheduler policy is enabled by default.
[root@openshift-218 ~]# cat /etc/origin/master/scheduler.json
{
    "apiVersion": "v1",
    "kind": "Policy",
    "predicates": [
        {
            "name": "MatchNodeSelector"
        },
        {
            "name": "PodFitsResources"
        },
        {
            "name": "PodFitsPorts"
        },
        {
            "name": "NoDiskConflict"
        },
        {
            "name": "NoVolumeZoneConflict"
        },
        {
            "argument": {
                "serviceAffinity": {
                    "labels": [
                        "region"
                    ]
                }
            },
            "name": "Region"
        }
    ],
    "priorities": [
        {
            "name": "LeastRequestedPriority",
            "weight": 1
        },
        {
            "name": "SelectorSpreadPriority",
            "weight": 1
        },
        {
            "argument": {
                "serviceAntiAffinity": {
                    "label": "zone"
                }
            },
            "name": "Zone",
            "weight": 2
        }
    ]

Comment 5 errata-xmlrpc 2016-08-18 19:30:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1639


Note You need to log in before you can comment on or make changes to this bug.